Subject: Re: tramp on NT emacs
From: [email-masked] (Mark A. Hershberger)
To: [email-masked] (Kai Großjohann)
Cc: [email-masked] (Mark A. Hershberger), Keith Amidon <[email-masked]>, "rcp.el mailing list" <[email-masked]>, [email-masked], [email-masked]
Date: 23 Apr 2001 14:05:53 -0500

[email-masked] (Kai Großjohann) writes:

> Oh, no!  What can we do?  I'm pretty sure I stopped using 2>/dev/null
> at some point, and for a reason.

Since I just want to try to get tramp working on NT emacs with
stock cygwin utils, I made the following two changes in my
tramp.el:

--- tramp/lisp/tramp.el	Wed Mar 28 15:44:30 2001
+++ .elisp/tramp.el	Mon Apr 23 13:43:52 2001
@@ -2802,7 +2802,7 @@
       (setq result
             (tramp-send-command-and-check
              multi-method method user host
-             (format "%s -lnd / >/dev/null 2>&1"
+             (format "%s -lnd / >/dev/null "
                      cmd)))
       (tramp-message 7 "Testing remote command `%s' for -n...%s"
                    cmd
@@ -3729,7 +3729,7 @@
 a subshell, ie surrounded by parentheses."
   (tramp-send-command multi-method method user host
                       (concat (if subshell "( " "")
-                              command
+                              command " 2> /dev/null"
                               (if command " ; " "")
                               "echo tramp_exit_status $?"
                               (if subshell " )" "")))

This, allowed me to get as far as a dir listing (but, strangely,
only if I did `(setq tramp-debug-buffer t)' after the first
complaint about not seeing an exit status).

Back to square one?

Mark.

-- 
		      ommnes exeunt in mysterium
		     All Things Lead into Mystery

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple